/* CVS $Id: $ */
package de.fuberlin.wiwiss.d2rq.vocab; 
import com.hp.hpl.jena.rdf.model.*;
 
/**
 * Vocabulary definitions from file:doc/terms/config.ttl 
 * @author Auto-generated by schemagen on 03 Jun 2012 07:05 
 */
public class D2RConfig {
    /** <p>The RDF model that holds the vocabulary terms</p> */
    private static Model m_model = ModelFactory.createDefaultModel();
    
    /** <p>The namespace of the vocabulary as a string</p> */
    public static final String NS = "http://sites.wiwiss.fu-berlin.de/suhl/bizer/d2r-server/config.rdf#";
    
    /** <p>The namespace of the vocabulary as a string</p>
     *  @see #NS */
    public static String getURI() {return NS;}
    
    /** <p>The namespace of the vocabulary as a resource</p> */
    public static final Resource NAMESPACE = m_model.createResource( NS );
    
    /** <p>Whether D2R Server should check for an updated mapping file with every request.</p> */
    public static final Property autoReloadMapping = m_model.createProperty( "http://sites.wiwiss.fu-berlin.de/suhl/bizer/d2r-server/config.rdf#autoReloadMapping" );
    
    /** <p>Base URI for a D2R Server installation; the URI of the running server's start 
     *  page.</p>
     */
    public static final Property baseURI = m_model.createProperty( "http://sites.wiwiss.fu-berlin.de/suhl/bizer/d2r-server/config.rdf#baseURI" );
    
    /** <p>A RDF dataset metadata template.</p> */
    public static final Property datasetMetadataTemplate = m_model.createProperty( "http://sites.wiwiss.fu-berlin.de/suhl/bizer/d2r-server/config.rdf#datasetMetadataTemplate" );
    
    /** <p>A template resource whose properties will be attached as metadata to all RDF 
     *  documents published by a D2R Server installation.</p>
     */
    public static final Property documentMetadata = m_model.createProperty( "http://sites.wiwiss.fu-berlin.de/suhl/bizer/d2r-server/config.rdf#documentMetadata" );
    
    /** <p>Whether to enable all metadata generation.</p> */
    public static final Property enableMetadata = m_model.createProperty( "http://sites.wiwiss.fu-berlin.de/suhl/bizer/d2r-server/config.rdf#enableMetadata" );
    
    /** <p>Maximum number of values for each class map that will be displayed in the 
     *  web interface when browsing resources. A value of false means no limit.</p>
     */
    public static final Property limitPerClassMap = m_model.createProperty( "http://sites.wiwiss.fu-berlin.de/suhl/bizer/d2r-server/config.rdf#limitPerClassMap" );
    
    /** <p>Maximum number of values for each property bridge that will be displayed in 
     *  the web interface when browsing resources. A value of false means no limit.</p>
     */
    public static final Property limitPerPropertyBridge = m_model.createProperty( "http://sites.wiwiss.fu-berlin.de/suhl/bizer/d2r-server/config.rdf#limitPerPropertyBridge" );
    
    /** <p>A RDF metadata template.</p> */
    public static final Property metadataTemplate = m_model.createProperty( "http://sites.wiwiss.fu-berlin.de/suhl/bizer/d2r-server/config.rdf#metadataTemplate" );
    
    /** <p>Timeout for generating HTML pages and RDF descriptions, in seconds. 0 for 
     *  no timeout.</p>
     */
    public static final Property pageTimeout = m_model.createProperty( "http://sites.wiwiss.fu-berlin.de/suhl/bizer/d2r-server/config.rdf#pageTimeout" );
    
    /** <p>The TCP port on which a D2R Server installation listens.</p> */
    public static final Property port = m_model.createProperty( "http://sites.wiwiss.fu-berlin.de/suhl/bizer/d2r-server/config.rdf#port" );
    
    /** <p>The D2RQ-mapped database that is published by a D2R Server installation.</p> */
    public static final Property publishes = m_model.createProperty( "http://sites.wiwiss.fu-berlin.de/suhl/bizer/d2r-server/config.rdf#publishes" );
    
    /** <p>Timeout for executing SPARQL queries, in seconds. 0 for no timeout.</p> */
    public static final Property sparqlTimeout = m_model.createProperty( "http://sites.wiwiss.fu-berlin.de/suhl/bizer/d2r-server/config.rdf#sparqlTimeout" );
    
    /** <p>Whether views of vocabulary resources should include instance data.</p> */
    public static final Property vocabularyIncludeInstances = m_model.createProperty( "http://sites.wiwiss.fu-berlin.de/suhl/bizer/d2r-server/config.rdf#vocabularyIncludeInstances" );
    
    /** <p>A configuration for a D2R Server installation.</p> */
    public static final Resource Server = m_model.createResource( "http://sites.wiwiss.fu-berlin.de/suhl/bizer/d2r-server/config.rdf#Server" );
    
}
